import { Injectable } from '@angular/core';
import { CrudService } from '../../../services/crudServices/crud.service';
import { MD2MobInfo, MD2MobLevelInfo, MD2MobSkill } from '../massive-darkness2.db.model';
import { HttpClient } from '@angular/common/http';
import { MD2HeroProfile } from '../massive-darkness2.model';

@Injectable({
  providedIn: 'root'
})
export class MD2MobInfoService extends CrudService<MD2MobInfo> {

  constructor(http: HttpClient) {
    super(http, (action: string = null) => { return `MD2MobInfo${(action ? `/${action}` : '')}` });
  }

}


@Injectable({
  providedIn: 'root'
})
export class MD2MobLevelInfoService extends CrudService<MD2MobLevelInfo> {

  constructor(http: HttpClient) {
    super(http, (action: string = null) => { return `MD2MobLevelInfo${(action ? `/${action}` : '')}` });
  }

}
@Injectable({
  providedIn: 'root'
})
export class MD2MobSkillService extends CrudService<MD2MobSkill> {

  constructor(http: HttpClient) {
    super(http, (action: string = null) => { return `MD2MobSkill${(action ? `/${action}` : '')}` });
  }

}


@Injectable({
  providedIn: 'root'
})
export class MD2HeroProfileService extends CrudService<MD2HeroProfile> {

  constructor(http: HttpClient) {
    super(http, (action: string = null) => { return `MD2HeroProfile${(action ? `/${action}` : '')}` });
  }

}